#ifndef FMP_EPAY_P_H
#define FMP_EPAY_P_H

#include "fmp_epay.h"
#include <QObject>

class Dialog;
class QFmClient;

class FMPePayPrivate : public QObject
{
    Q_OBJECT
    Q_DECLARE_PUBLIC(FMPePay)
public:
    explicit            FMPePayPrivate(QObject* parent=0);
//    ~FMPePayPrivate();

//    int                 StartService();
    int                 StopService();
    int                 Pay();

signals:
    void                showPayWnd();

private:
    QFmClient           *_fmClient;
    Dialog              *_payDialog;

public slots:
    void                onShowPayWnd();

public:
    FMPePay            *q_ptr;
private:
};

#endif // FMP_EPAY_P_H
